4 TEMP=`getopt -o rn --long rebuild,no-gen \
7 if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
9 # Note the quotes around `$TEMP': they are essential!
17 -r|--rebuild) opt_rebuild=true ; shift ;;
18 -n|--no-gen) opt_generate=false ; shift ;;
24 if [ false == $opt_rebuild -o ! -d "build" ] ; then
31 if [ $opt_generate == true -o $opt_rebuild == false ] ; then
32 (cd src/$1; ../../scripts/tcheadgen.sh tct-$1-core.h)
33 if [ $? -ne 0 ]; then echo "Aborting..."; exit 1; fi
35 BUILDSYSTEM="Unix Makefiles"
37 if [ -e ../build/tizen/build.ninja ] ; then
41 (cd build ; cmake .. -DMODULE=$1 -G "$BUILDSYSTEM" ; $BUILDCMD -j7 )
48 for mod in `ls -1 src/ | grep -v CMakeList `
50 if [ $mod != 'common' ] && [ $mod != 'manual' ]; then
53 if [ $? -ne 0 ]; then echo "Build failed" ; exit 1; fi
58 echo "Build succeeded"